#!/usr/local/bin/gawk -f

# ꡼̤νϤ顢
# ƥץ쥤䡼׹ͻ֤ʿѻ׹ͻ֡ꡢꡢˤ׻롣
#
# programmed by Tak. (1997/10/10)

/ vs / {
	a = $1
	b = $3
}

/sec -- / {
	t = $1
	sub(/sec/, "", t)
	t = t + 0
	if (!tf[a]) {
		tf[a] = 1
		tn[tc++] = a
		tmax[a] = t
	}else {
		if (tmax[a] < t) tmax[a] = t
	}
	tsum1[a] += t
	tct1[a]++
	
	t = $3
	sub(/sec/, "", t)
	t = t + 0
	if (!tf[b]) {
		tf[b] = 1
		tn[tc++] = b
		tmax[b] = t
	}else {
		if (tmax[b] < t) tmax[b] = t
	}
	tsum2[b] += t
	tct2[b]++
}

END {
  print " (name)   |    (first move)   |   (second move)   |      (total)      | (max)"
  for (l=0; l<tc; l++) {
    a = tn[l]
    printf("%-10s|%8.3f/%2d=%7.3f|%8.3f/%2d=%7.3f|%8.3f/%2d=%7.3f|%7.3f\n", a,\
     tsum1[a], tct1[a], tsum1[a]/tct1[a], \
     tsum2[a], tct2[a], tsum2[a]/tct2[a], \
     tsum1[a]+tsum2[a], tct1[a]+tct2[a], (tsum1[a]+tsum2[a])/(tct1[a]+tct2[a]), \
     tmax[a])
	stsum1 += tsum1[a];
	stct1 += tct1[a];
	stsum2 += tsum2[a];
	stct2 += tct2[a];
	if (stmax < tmax[a]) stmax = tmax[a]
  }
  print "------------------------------------------------------------------------------"
  printf("%-10s|%7.2f/%3d=%7.3f|%7.2f/%3d=%7.3f|%7.2f/%3d=%7.3f|%7.3f\n", \
   " (total)", \
   stsum1, stct1, stsum1/stct1, \
   stsum2, stct2, stsum2/stct2, \
   stsum1+stsum2, stct1+stct2, (stsum1+stsum2)/(stct1+stct2), \
   stmax)
}

